#!/bin/sh

#Source: http://www.freespiders.org/projects/libcroco/


CWD=`pwd`
PKG=/tmp/package-libcroco

VERSION=0.6.2
ARCH=i486
BUILD=60.1

SLKCFLAGS="-O2 -march=i486 -mtune=i686"


rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf libcroco-$VERSION
tar jxvf $CWD/libcroco-$VERSION.tar.bz2
cd libcroco-$VERSION
chown -R root.root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;

CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" \
	./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var
make
make install DESTDIR=$PKG

mkdir -p $PKG/usr/src/libcroco-$VERSION
cp $CWD/build-libcroco.sh $PKG/usr/src/libcroco-$VERSION/

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

        |-----handy-ruler------------------------------------------------------|
libcroco: libcroco
libcroco:
libcroco: Libcroco is a standalone css2 parsing and manipulation library. The
libcroco: parser provides a low level event driven SAC like api and a css
libcroco: object model like api. Libcroco provides a CSS2 selection engine and
libcroco: an experimental xml/css rendering engine.
libcroco:
libcroco:
libcroco:
libcroco:
libcroco:

EOF



chown -R root.bin $PKG/usr/bin
( cd $PKG
	find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
		| xargs strip --strip-unneeded 2> /dev/null
	find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
		| xargs strip --strip-unneeded 2> /dev/null
)

mkdir -p $PKG/usr/doc/libcroco-$VERSION
cp -aR HACKING TODO AUTHORS COPYING COPYING.LIB ChangeLog NEWS README docs/ $PKG/usr/doc/libcroco-$VERSION
find $PKG/usr/doc/ -name "Makefile*" -exec rm {} \;

chmod -R 755 $PKG/usr/doc/libcroco-$VERSION/
find $PKG/usr/doc/libcroco-$VERSION/ -type f -exec chmod 644 {} \;

cd $PKG
makepkg -l y -c n ../libcroco-$VERSION-$ARCH-$BUILD.tgz
cd ..
md5sum libcroco-$VERSION-$ARCH-$BUILD.tgz > libcroco-$VERSION-$ARCH-$BUILD.md5
